/**
 * @ingroup info68
 */

/**
 * @defgroup  info68 info68
 *
 * @brief     Get and format information from sc68 files.
 *
 *  This program is free software.
 *
 * @author  Copyright (C) 2001 Ben(jamin) Gerard
 * @date    2001
 *
 * @par Usage:
 *
 * info68 [option ... ] sc68-file [ command ...] 
 *
 * @par Options:
 *
 *   @arg @b --help        Display this message and exit.
 *   @arg @b --version     Display build date and exit.
 *   @arg @b --build       As --version.
 *   @arg @b -o file       Change output to file (- is stdout)
 *   @arg @b --output file As -o.
 *
 * @par Commands:
 *
 *   @arg @b -#          Number of tracks
 *   @arg @b -?          Default track
 *   @arg @b -N          Disk name
 *   @arg @b -A          Default track author name
 *   @arg @b -C          Default track composer name
 *   @arg @b -T          Disk time in sec
 *   @arg @b -Y          Formated disk time. Format \"TT MM:SS\"
 *   @arg @b -H          All tracks ORed hardware flags (see -h)
 *
 * @par Track list:
 *
 *   @arg @b -DIGIT[[,DIGIT]|[-DIGIT]]
 *             track-list executes following track-commands for all listed
 *             tracks until another track-list is encountered or end of
 *             command line.
 *
 *             Track are base 1 numbered. 0 is replaced by the number of tracks.
 *             This command is a kind of loop.
 *
 *             @e e.g: "-1,5,[4-6]" works with tracks 1,5,4,5 and 6 in this order.
 *
 * @par Track commands:
 *   apply to current track
 *
 *   @arg @b -%       Track number
 *   @arg @b -n       Track name
 *   @arg @b -a       Author name
 *   @arg @b -c       Composer name
 *   @arg @b -r       Replay name
 *   @arg @b -t       Time in sec
 *   @arg @b -y       Formated time. Format "TT MM:SS"
 *   @arg @b -f       Replay frequency
 *   @arg @b -@       Load address
 *   @arg @b -h       Hardware flags [YSA] uppercase means activated.
 *                    Y:YM-2149
 *                    S:STE
 *                    A:Amiga
 *
 * @par Misc commands:
 *
 *   @arg @b -L        Display a newline character
 *   @arg @b --STRING  Display "-STRING"
 *   @arg @b STRING    Display "STRING"
 *
 */
